# /srv/salt/docker/init.sls

docker_packages:
  pkg.installed:
    - pkgs:
      - docker
      - docker-openrc
      - docker-cli-compose
      
docker_service:
  service.running:
    - name: docker
    - enable: True
    - require:
      - pkg: docker_packages

docker_group:
  group.present:
    - name: docker
