
# Manage SSH daemon configuration
sshd_config:
  file.managed:
    - name: /etc/ssh/sshd_config
    - source: salt://ssh/files/sshd_config
    - mode: 600
    - user: root
    - group: root

# Ensure SSH service is running and restarts if config changes
sshd_service:
  service.running:
    - name: sshd
    - enable: True
    - watch:
      - file: sshd_config
