# Manage minion configuration
/etc/salt/minion.d/id.conf:
  file.managed:
    - user: root
    - group: root
    - mode: 644
    - contents: |
        # Managed by Salt
        id: {{ grains['nodename'] }}

# Ensure salt-minion service is enabled
salt-minion:
  service.running:
    - enable: True
    - watch:
      - file: /etc/salt/minion.d/id.conf
      
